Loading...
Searching...
No Matches
Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing > using a particular value (and an optional tolerance) More...

`#include <GreaterQuery.h>`

Inheritance diagram for Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

## Public Member Functions

| GreaterQuery ()
| GreaterQuery (DataFuncArgType v)
| constructs with our target value
| GreaterQuery (DataFuncArgType v, DataFuncArgType t)
| constructs with our target value and a tolerance
bool | Match (const DataFuncArgType what) const override
Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const override
| returns a copy of this Query
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::EqualityQuery< MatchFuncArgType, MatchFuncArgType, false >
| EqualityQuery ()
void | setVal (MatchFuncArgType what)
| sets our target value
const MatchFuncArgType | getVal () const
| returns our target value
void | setTol (MatchFuncArgType what)
| sets our tolerance
const MatchFuncArgType | getTol () const
| returns out tolerance
bool | Match (const MatchFuncArgType what) const override
Public Member Functions inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (std::function< bool(MatchFuncArgType)> what)
| sets our match function
std::function< bool(MatchFuncArgType)> | getMatchFunc () const
| returns our match function:
void | setDataFunc (std::function< MatchFuncArgType(MatchFuncArgType)> what)
| sets our data function
std::function< MatchFuncArgType(MatchFuncArgType)> | getDataFunc () const
| returns our data function:
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector

## Additional Inherited Members

Public Types inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, needsConversion >
using | CHILD_TYPE
using | CHILD_VECT
using | CHILD_VECT_I
using | CHILD_VECT_CI
using | MATCH_FUNC_ARG_TYPE
using | DATA_FUNC_ARG_TYPE
Public Attributes inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, needsConversion >
std::function< MatchFuncArgType(MatchFuncArgType)> | d_dataFunc
std::function< MatchFuncArgType(MatchFuncArgType)> | d_dataFuncSameType
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, needsConversion >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
Protected Attributes inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, needsConversion >
MatchFuncArgType | d_val
MatchFuncArgType | d_tol
std::string | d_description
std::string | d_queryType
CHILD_VECT | d_children
bool | df_negate
std::function< bool(MatchFuncArgType)> | d_matchFunc
union { |
std::function< MatchFuncArgType(DataFuncArgType)> d_dataFunc |
std::function< MatchFuncArgType(MatchFuncArgType)> d_dataFuncSameType |
}; |

## Detailed Description

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing > using a particular value (and an optional tolerance)

Definition at line 21 of file GreaterQuery.h.

## Constructor & Destructor Documentation

## GreaterQuery() [1/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( |  | ) |

inline

Definition at line 24 of file GreaterQuery.h.

## GreaterQuery() [2/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( | DataFuncArgType | v | ) |

inline explicit

constructs with our target value

Definition at line 26 of file GreaterQuery.h.

## GreaterQuery() [3/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( | DataFuncArgType | v,
|  | DataFuncArgType | t )

inline

constructs with our target value and a tolerance

Definition at line 32 of file GreaterQuery.h.

## Member Function Documentation

## copy()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query< MatchFuncArgType, DataFuncArgType, needsConversion > * Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const

inline override virtual

returns a copy of this Query

Notes:

- the caller is responsible for deleteing the result

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, MatchFuncArgType, false >.

Definition at line 48 of file GreaterQuery.h.

## getFullDescription()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

std::string Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription | ( |  | ) | const

inline override virtual

returns a fuller text description

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, MatchFuncArgType, false >.

Definition at line 61 of file GreaterQuery.h.

## Match()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | what | ) | const

inline override

Definition at line 38 of file GreaterQuery.h.

The documentation for this class was generated from the following file:

- GreaterQuery.h